coreEngine.Calibration.Organisms

## Class CapacityOrg2

- java.lang.Object
- - coreEngine.Calibration.Organism
  - - coreEngine.Calibration.Organisms.CAFBinOrg
    - - coreEngine.Calibration.Organisms.CapacityOrg2

-     public class CapacityOrg2
      extends CAFBinOrg

  Author:
    jtrask

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `jamDensity`

    - ### Fields inherited from class coreEngine.Calibration.Organisms.CAFBinOrg

      `adjFactors, idString`

    - ### Fields inherited from class coreEngine.Calibration.Organism

      `alg, capacityDropPct, fitness, FITNESS_TYPE, FITNESS_TYPE2, geometry, multiFitness, mutationPct, numProfiles, profileMapping, scenIdx, seedIdx`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CapacityOrg2(GeneticAlgorithm alg, int numSeg)`
    `CapacityOrg2(GeneticAlgorithm alg, int seedIdx, int numSeg)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `applyMeme()`
    `void` | `calcFitness()`
    `protected void` | `calcMultiFitness()`
    `protected void` | `calcSingleFitness()`
    `java.lang.String` | `getBinJamDensity()`
    `CapacityOrg2` | `getChildOrg(java.lang.String[] newAFArr)`
    `CapacityOrg2` | `getChildOrg(java.lang.String[] newAFArr, java.lang.String jamDensity)`
    `Organism` | `getDeepCopy()`
    `float` | `getJamDensity()`
    `void` | `mutate()`
    `void` | `setJamDensity(java.lang.String binJamDensity)`

    - ### Methods inherited from class coreEngine.Calibration.Organisms.CAFBinOrg

      `assignAFToSeed, crossover, getAF, getBinAF, getDim1, getEncodingArray, getEncodingString, setAFs, setBinAF`

    - ### Methods inherited from class coreEngine.Calibration.Organism

      `checkFitnessDiversity, getFitness, getScenarioIndex, getSeedBaseFitness, getSeedIdx, setGeometry, setScenarioIndex, setSeedIdx`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### jamDensity

          protected java.lang.String jamDensity

  - ### Constructor Detail

    - #### CapacityOrg2

          public CapacityOrg2(GeneticAlgorithm alg,
                              int numSeg)

    - #### CapacityOrg2

          public CapacityOrg2(GeneticAlgorithm alg,
                              int seedIdx,
                              int numSeg)

  - ### Method Detail

    - #### getChildOrg

          public CapacityOrg2 getChildOrg(java.lang.String[] newAFArr)

      Overrides:
        `getChildOrg` in class `CAFBinOrg`

    - #### getChildOrg

          public CapacityOrg2 getChildOrg(java.lang.String[] newAFArr,
                                          java.lang.String jamDensity)

    - #### calcFitness

          public void calcFitness()

      Overrides:
        `calcFitness` in class `CAFBinOrg`

    - #### calcSingleFitness

          protected void calcSingleFitness()

      Overrides:
        `calcSingleFitness` in class `CAFBinOrg`

    - #### calcMultiFitness

          protected void calcMultiFitness()

      Overrides:
        `calcMultiFitness` in class `CAFBinOrg`

    - #### getDeepCopy

          public Organism getDeepCopy()

      Overrides:
        `getDeepCopy` in class `CAFBinOrg`

    - #### mutate

          public void mutate()

      Overrides:
        `mutate` in class `CAFBinOrg`

    - #### applyMeme

          public int applyMeme()

      Overrides:
        `applyMeme` in class `CAFBinOrg`

    - #### getJamDensity

          public float getJamDensity()

    - #### setJamDensity

          public void setJamDensity(java.lang.String binJamDensity)

    - #### getBinJamDensity

          public java.lang.String getBinJamDensity()